# -*- coding: utf-8 -*-
import pymel.core as pm
from mtoa.ui.ae.shaderTemplate import ShaderAETemplate

class AEaiAtmosphereVolumeTemplate(ShaderAETemplate):
    def setup(self):
        self.addSwatch()
        
        self.beginScrollLayout()
        
        self.beginLayout('体积属性', collapse=False)
        self.addControl('density', label='密度')
        self.addControl('rgbDensity', label='颜色')
        self.addSeparator()
        self.addControl('attenuation', label='衰减')
        self.addControl('rgbAttenuation', label='颜色衰减')
        self.addSeparator()
        self.addControl('eccentricity', label='各向异性')
        self.addSeparator()
        self.addControl('samples', label='采样')
        self.endLayout()
        
        self.beginLayout('Contribution属性')
        self.addControl('affectCamera', label='摄像机')
        self.addControl('affectDiffuse', label='漫反射')
        self.addControl('affectSpecular', label='镜面(高光）')
        self.endLayout()
        
        pm.mel.AEdependNodeTemplate(self.nodeName)
        
        self.addExtraControls()
        self.endScrollLayout()

